<ion-header>
    <ion-toolbar mode="ios" class="header-page" color="light">
        <ion-buttons slot="start">
            <ion-button (click)="this.commonMethodsTs.goBack()">
                <ion-icon slot="icon-only" name="arrow-back"></ion-icon>
            </ion-button>
        </ion-buttons>
        <ion-title *ngIf="myForm">
            {{myForm.value.Id == -1? 'Thêm ưu đãi':'Chi tiết ưu đãi'}}
        </ion-title>
        <ion-buttons slot="end" *ngIf="myForm">
            <ion-button (click)="saveData()" *ngIf="myForm.value.Id == -1">
                Publish
            </ion-button>
        </ion-buttons>
    </ion-toolbar>
</ion-header>

<ion-content class="background-content">
    <div *ngIf="data">
        <form [formGroup]="myForm">
            <ion-list margin-bottom-content class="card-trans-info" [ngClass]="{'disable-block': isDisabled}">
                <dailyxe-ion-img formControlName="IdFileDaiDien" (onChangeImage)="urlHinhDaiDien = $event">
                </dailyxe-ion-img>
            </ion-list>
            <ion-list margin-bottom-content [ngClass]="{'disable-block': isDisabled}">
                <ion-item>
                    <ion-label position="stacked" class="important"
                        *ngIf="!(invalidData && !(myForm.value.MaCauHinh && myForm.value.MaCauHinh.length > 0))">Mã cấu
                        hình</ion-label>
                    <ion-label position="stacked" color="primary"
                        *ngIf="(invalidData && !(myForm.value.MaCauHinh && myForm.value.MaCauHinh.length > 0))">Chọn mã
                        cấu hình</ion-label>
                    <ion-select formControlName="MaCauHinh" (ionChange)="ionChangeMaCauHinh()" [interfaceOptions]="{header: 'Mã cấu hình'}"
                        interface="action-sheet" placeholder="Chọn" okText="Chọn" cancelText="Hủy">
                        <ion-select-option *ngFor="let item of listMarketingPlanMaCauHinh" [value]="item.value">
                            {{item.value}}</ion-select-option>
                    </ion-select>
                </ion-item>
                <ion-item>
                    <ion-label position="stacked">Mã ưu đãi (Random nếu để trống)</ion-label>
                    <ion-input formControlName="Code_Ext" placeholder="Mã ưu đãi..." clearInput></ion-input>
                    <ion-buttons slot="end" class="ion-no-margin">
                        <ion-button (click)="randomCode()" style="margin-top: 65%">
                            <ion-icon class="las la-random"></ion-icon>
                        </ion-button>
                    </ion-buttons>
                </ion-item>
                <ion-item>
                    <ion-label class="important" position="stacked"
                        *ngIf="!(invalidData && !(myForm.value.TieuDe && myForm.value.TieuDe.length > 0))">Tiêu đề
                    </ion-label>
                    <ion-label position="stacked" color="primary"
                        *ngIf="(invalidData && !(myForm.value.TieuDe && myForm.value.TieuDe.length > 0))">Tiêu
                        đề không được để trống</ion-label>
                    <ion-input formControlName="TieuDe" placeholder="Ưu đãi 10% trong tháng..." clearInput (ionBlur)="setValueMoTaNgan()"></ion-input>
                </ion-item>

                <ion-item>
                    <ion-label position="stacked" class="important" *ngIf="!(invalidData && !(+myForm.value.Type > 0))">
                        Loại ưu đãi
                    </ion-label>
                    <ion-label position="stacked" color="primary" *ngIf="(invalidData && !(+myForm.value.Type > 0))">
                        Chọn loại ưu đãi</ion-label>
                    <ion-select formControlName="Type" [interfaceOptions]="{header: 'Chọn loại ưu đãi'}"
                        interface="action-sheet" placeholder="Chọn" okText="Chọn" cancelText="Hủy">
                        <ion-select-option *ngFor="let item of listMarketingPlanType" [value]="item.value">
                            {{item.key}}</ion-select-option>
                    </ion-select>
                </ion-item>
            </ion-list>
            <ion-list margin-bottom-content [ngClass]="{'disable-block': isDisabled}">
                <ion-item>
                    <ion-label position="stacked" class="important"
                        *ngIf="!(invalidData && !(+myForm.value.ValueType > 0))">Loại giá trị
                    </ion-label>
                    <ion-label position="stacked" color="primary"
                        *ngIf="(invalidData && !(+myForm.value.ValueType > 0))">Loại giá trị</ion-label>
                    <ion-select formControlName="ValueType" [interfaceOptions]="{header: 'Chọn loại ưu đãi'}"
                        interface="action-sheet" placeholder="Chọn" okText="Chọn" cancelText="Hủy">
                        <ion-select-option *ngFor="let item of listMarketingPlanValueType" [value]="item.value">
                            {{item.key}}</ion-select-option>
                    </ion-select>
                </ion-item>
                <ion-item>
                    <ion-label position="stacked" class="important"
                        *ngIf="!(invalidData && !(+myForm.value.Value > 0))">Giá trị
                        <span *ngIf="myForm.value.ValueType == 1">(Point)</span>
                        <span *ngIf="myForm.value.ValueType == 2">(%)</span>
                        <span *ngIf="myForm.value.ValueType == 3">(VND)</span>
                    </ion-label>
                    <ion-label position="stacked" color="primary" *ngIf="(invalidData && !(+myForm.value.Value > 0))">
                        Nhập giá trị</ion-label>
                    <!-- <ion-input formControlName="Value" placeholder="0"></ion-input> -->
                    <dailyxe-ion-number [min]="0" formControlName="Value" placeholder="0">
                    </dailyxe-ion-number>
                </ion-item>
                <ion-item *ngIf="myForm.value.ValueType != 3">
                    <ion-label position="stacked"
                        *ngIf="myForm.value.ValueType != 1 && !(invalidData && !(+myForm.value.MaxValue > 0))">Giá trị
                        tối đa (VND)</ion-label>
                    <ion-label position="stacked"
                        *ngIf="myForm.value.ValueType == 1 && !(invalidData && !(+myForm.value.MaxValue > 0))">Mua tối
                        thiểu (point)</ion-label>
                    <ion-label position="stacked" color="primary"
                        *ngIf="(invalidData && !(+myForm.value.MaxValue > 0)) && myForm.value.ValueType != 1">
                        Nhập giá trị tối đa (VND)</ion-label>
                    <ion-label position="stacked" color="primary"
                        *ngIf="(invalidData && !(+myForm.value.MaxValue > 0)) && myForm.value.ValueType == 1">
                        Nhập giá trị tối thiểu (point)</ion-label>

                    <ion-input formControlName="MaxValue" placeholder="0" clearInput></ion-input>
                </ion-item>
            </ion-list>
            <ion-list margin-bottom-content [ngClass]="{'disable-block': isDisabled}">
                <ion-item>
                    <ion-label position="stacked">Mô tả ngắn</ion-label>
                    <ck-editor #ckDangTin class="ck-dangtin" [ngClass]="{'ck-empty':(!myForm.value?.MoTaNgan)}"
                        [config]="configCkUuDai" formControlName="MoTaNgan">
                    </ck-editor>
                </ion-item>
            </ion-list>
            <ion-list margin-bottom-content [ngClass]="{'disable-block': isDisabled}">
                <ion-item lines="full">
                    <ion-label>Không giới hạn thời gian</ion-label>
                    <ion-toggle #unlimitedTime formControlName="UnlimitedTime"></ion-toggle>
                </ion-item>
                <ion-item lines="full">
                    <ion-label *ngIf="!(invalidData && !(myForm.value.TuNgay && myForm.value.TuNgay.length > 0))">Từ
                        ngày</ion-label>
                    <ion-label color="primary"
                        *ngIf="(invalidData && !(myForm.value.TuNgay && myForm.value.TuNgay.length > 0))">Chọn từ ngày
                    </ion-label>
                    <ion-datetime placeholder="Chọn ngày" [disabled]="myForm.value.UnlimitedTime"
                        formControlName="TuNgay" [value]="myForm.value.TuNgay" displayFormat="DD-MM-YYYY HH:mm"
                        cancelText="Hủy" doneText="Chọn" [max]="maxYear" [min]="minYear">
                    </ion-datetime>
                </ion-item>
                <ion-item lines="full">
                    <ion-label *ngIf="!(invalidData && !(myForm.value.DenNgay && myForm.value.DenNgay.length > 0))">Đến
                        ngày</ion-label>
                    <ion-label color="primary"
                        *ngIf="(invalidData && !(myForm.value.DenNgay && myForm.value.DenNgay.length > 0))">Đến ngày
                    </ion-label>
                    <ion-datetime placeholder="Chọn ngày" [disabled]="myForm.value.UnlimitedTime"
                        formControlName="DenNgay" [value]="myForm.value.DenNgay" displayFormat="DD-MM-YYYY HH:mm"
                        cancelText="Hủy" doneText="Chọn" [max]="maxYear" [min]="minYear">
                    </ion-datetime>
                </ion-item>
            </ion-list>
            <ion-list margin-bottom-content [ngClass]="{'disable-block': isDisabled}">
                <ion-item lines="full">
                    <ion-label>Không giới hạn số lần sử dụng</ion-label>
                    <ion-toggle formControlName="UnlimitedUsed"></ion-toggle>
                </ion-item>
                <ion-item lines="full">
                    <ion-label position="stacked">Số lần sử dụng</ion-label>
                    <ion-input [disabled]="myForm.value.UnlimitedUsed" type="number" formControlName="MaxUsed"
                        placeholder="0" clearInput>
                    </ion-input>
                </ion-item>
            </ion-list>
            <ion-list margin-bottom-content [ngClass]="{'disable-block': isDisabled}">
                <ion-item>
                    <ion-label position="stacked">Ghi chú</ion-label>
                    <ion-textarea auto-grow="true" rows="1" formControlName="GhiChu" placeholder="Nhập ghi chú...">
                    </ion-textarea>
                </ion-item>
            </ion-list>
            <ion-list margin-bottom-content [ngClass]="{'disable-block': isDisabled}">
                <ion-item lines="full">
                    <ion-label>Send notification to all User</ion-label>
                    <ion-toggle formControlName="SendAll"></ion-toggle>
                </ion-item>
            </ion-list>
            <ion-list margin-bottom-content [ngClass]="{'disable-block': isDisabled}">
                <ion-item>
                    <ion-label position="stacked">Thứ tự</ion-label>
                    <ion-input formControlName="ThuTu" type="number" placeholder="1" clearInput></ion-input>
                </ion-item>
                <ion-radio-group class="custom-radio" formControlName="TrangThai" value="{{myForm.value.TrangThai}}">
                    <ion-list-header>
                        <ion-label>Trạng thái</ion-label>
                    </ion-list-header>
                    <ion-item lines="full">
                        <ion-label>Hiện</ion-label>
                        <ion-radio slot="start" value="1"></ion-radio>
                    </ion-item>
                    <ion-item lines="full">
                        <ion-label>Ẩn</ion-label>
                        <ion-radio slot="start" value="2"></ion-radio>
                    </ion-item>
                </ion-radio-group>
            </ion-list>
            <ion-list margin-bottom-content *ngIf="data && data.Id > 0">
                <ion-item>
                    <ion-label class="ion-text-center" (click)="duplicate()" color="secondary">Nhân bản
                    </ion-label>
                </ion-item>
            </ion-list>
            <ion-list margin-bottom-content *ngIf="data && data.Id > 0">
                <ion-item>
                    <ion-label class="ion-text-center" (click)="xoaUuDai()" color="primary">Xoá ưu đãi
                    </ion-label>
                </ion-item>
            </ion-list>

        </form>


    </div>
    <ion-list *ngIf="!data">
        <ion-item lines="none">
            <ion-skeleton-text class="ion-no-margin skeleton-thumb" animated style="width: 100%;"></ion-skeleton-text>
            <ion-label>
                <h2>
                    <ion-skeleton-text animated style="width: 80px;"></ion-skeleton-text>
                </h2>
                <h3>
                    <ion-skeleton-text animated style="width: 50%"></ion-skeleton-text>
                </h3>
                <p>
                    <ion-skeleton-text animated style="width: 20%"></ion-skeleton-text>
                </p>
            </ion-label>
        </ion-item>
        <ion-item lines="none">
            <ion-skeleton-text animated style="width: 100%; line-height: 30px;"></ion-skeleton-text>
        </ion-item>
        <ion-item lines="none">
            <ion-label>
                <h2>
                    <ion-skeleton-text animated style="width: 80px;"></ion-skeleton-text>
                </h2>
                <h3>
                    <ion-skeleton-text animated style="width: 50%"></ion-skeleton-text>
                </h3>
                <p>
                    <ion-skeleton-text animated style="width: 20%"></ion-skeleton-text>
                </p>
            </ion-label>
        </ion-item>
        <ion-item lines="none">
            <ion-label>
                <h2>
                    <ion-skeleton-text animated style="width: 70px;"></ion-skeleton-text>
                </h2>
                <h3>
                    <ion-skeleton-text animated style="width: 80%"></ion-skeleton-text>
                </h3>
                <p>
                    <ion-skeleton-text animated style="width: 20%"></ion-skeleton-text>
                </p>
            </ion-label>
        </ion-item>
        <ion-item lines="none">
            <ion-label>
                <h2>
                    <ion-skeleton-text animated style="width: 50px;"></ion-skeleton-text>
                </h2>
                <h3>
                    <ion-skeleton-text animated style="width: 60%"></ion-skeleton-text>
                </h3>
                <p>
                    <ion-skeleton-text animated style="width: 20%"></ion-skeleton-text>
                </p>
            </ion-label>
        </ion-item>
    </ion-list>
</ion-content>